﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RightClickSelect_WinSpread
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        { 
            ContextMenuStrip menuStrip = new ContextMenuStrip();
            menuStrip.Items.Add("Copy");
            menuStrip.Items.Add("Cut");
            menuStrip.Items.Add("Paste");
            menuStrip.ItemClicked += MenuStrip_ItemClicked;
            fpSpread1.ContextMenuStrip = menuStrip;

            fpSpread1.CellClick += FpSpread1_CellClick;
        }
        private void MenuStrip_ItemClicked(object sender, ToolStripItemClickedEventArgs e)
        {
            switch(e.ClickedItem.Text)
            {
                case "Copy":
                    fpSpread1.ActiveSheet.ClipboardCopy();
                    break;
                case "Cut":
                    fpSpread1.ActiveSheet.ClipboardCut();
                    break;
                case "Paste":
                    fpSpread1.ActiveSheet.ClipboardPaste();
                    break;
            }
        }

        private void FpSpread1_CellClick(object sender, FarPoint.Win.Spread.CellClickEventArgs e)
        {
            if(e.Button== MouseButtons.Right)
            {
                fpSpread1.ActiveSheet.SetActiveCell(e.Row, e.Column);
            }
        }
    }
}
